cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Filip Maj (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CB-2219) Add checks for minimum Android requirements
Date Mon, 28 Jan 2013 23:05:14 GMT

     [ https://issues.apache.org/jira/browse/CB-2219?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Filip Maj resolved CB-2219.
---------------------------

    Resolution: Fixed

Refactored this in https://git-wip-us.apache.org/repos/asf?p=cordova-cli.git;a=commit;h=235a8d27e812ca723bd606a258072da01de94360

Now, each platform {{parser}} module should define a {{check_requirements}} static function
that checks for that platform's minimum requirements.
                
> Add checks for minimum Android requirements
> -------------------------------------------
>
>                 Key: CB-2219
>                 URL: https://issues.apache.org/jira/browse/CB-2219
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI
>    Affects Versions: 2.3.0
>            Reporter: Filip Maj
>            Assignee: Filip Maj
>             Fix For: 2.4.0
>
>
> If you don't have all / latest android sdk targets installed, you can't compile the jar.
> The CLI tools should check for minimum compatibility *upon adding Android as a platform*,
and if the check fails, at the minimum let the user know.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message